POST api/SocialHistoryDrugs
Creates a new drug use entry or updates an existing one.
Request Information
URI Parameters
None.
Body Parameters
Model used to create or modify a drug abuse entry.
SocialHistoryDrugModel| Name | Description | Type | Additional information |
|---|---|---|---|
| Name |
Name of the social history drug (Required). |
string |
None. |
| IsDefault |
Indicates if this social history drug is the default or not (Required). |
boolean |
None. |
| SortOrder |
Indicates the sort order of this social history drug in the list (Required). |
integer |
None. |
| Id |
Unique ID of the model in the portal (Read only). |
globally unique identifier |
None. |
| ExternalId |
Unique ID of the model on integrating system (Required). |
string |
None. |
Request Formats
application/json, text/json
{
"name": "sample string 1",
"isDefault": true,
"sortOrder": 3,
"id": "53374dc0-e8a1-4b33-b33c-9d67fb8e3411",
"externalId": "sample string 5"
}
application/xml, text/xml
<SocialHistoryDrugModel xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/GlobalPortal.Api.Models.SocialHistoryDrugs"> <ExternalId xmlns="http://schemas.datacontract.org/2004/07/GlobalPortal.Api.Models">sample string 5</ExternalId> <Id xmlns="http://schemas.datacontract.org/2004/07/GlobalPortal.Api.Models">53374dc0-e8a1-4b33-b33c-9d67fb8e3411</Id> <IsDefault>true</IsDefault> <Name>sample string 1</Name> <SortOrder>3</SortOrder> </SocialHistoryDrugModel>
application/x-www-form-urlencoded
Response Information
Resource Description
SocialHistoryDrugModel| Name | Description | Type | Additional information |
|---|---|---|---|
| Name |
Name of the social history drug (Required). |
string |
None. |
| IsDefault |
Indicates if this social history drug is the default or not (Required). |
boolean |
None. |
| SortOrder |
Indicates the sort order of this social history drug in the list (Required). |
integer |
None. |
| Id |
Unique ID of the model in the portal (Read only). |
globally unique identifier |
None. |
| ExternalId |
Unique ID of the model on integrating system (Required). |
string |
None. |
Response Formats
application/json, text/json
{
"name": "sample string 1",
"isDefault": true,
"sortOrder": 3,
"id": "47dd65b9-3f92-4882-a662-e22c4c6637e5",
"externalId": "sample string 5"
}
application/xml, text/xml
<SocialHistoryDrugModel xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/GlobalPortal.Api.Models.SocialHistoryDrugs"> <ExternalId xmlns="http://schemas.datacontract.org/2004/07/GlobalPortal.Api.Models">sample string 5</ExternalId> <Id xmlns="http://schemas.datacontract.org/2004/07/GlobalPortal.Api.Models">47dd65b9-3f92-4882-a662-e22c4c6637e5</Id> <IsDefault>true</IsDefault> <Name>sample string 1</Name> <SortOrder>3</SortOrder> </SocialHistoryDrugModel>